Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboResourceBundle

`java.lang.Object
java.util.ResourceBundle
java.util.ListResourceBundle
oracle.jbo.common.CheckedListResourceBundle
oracle.jbo.common.JboResourceBundle`

public class JboResourceBundle
extends CheckedListResourceBundle

A helper class to aid with keeping our NLSable resources consistent.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`JboResourceBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Returns the 2-D array containing key-value pairs.
`protected java.lang.Object[][]` | `getMergedArray(java.lang.Object[][] mine, java.lang.Object[][] base)` Returns the 2-D array containing key-value pairs.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboResourceBundle

    public JboResourceBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Description copied from class: `CheckedListResourceBundle`
  Returns the 2-D array containing key-value pairs. Note: this method is protected in the superclass
  Specified by:
    `getContents` in class `CheckedListResourceBundle`

### getMergedArray

    protected java.lang.Object[][] getMergedArray(java.lang.Object[][] mine,
                                                  java.lang.Object[][] base)

  Returns the 2-D array containing key-value pairs. Note: this method is protected in the superclass

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.